DECset - LSE (Language-Sensitive Editor)

The Language-Sensitive Editor (LSE) is a multilanguage programmer’s editor. With LSE, users can efficiently edit, compile, review diagnostic information from compilations, and correct compile time errors without exiting the editor.

The VSI Language-Sensitive Editor is an integrated development environment for OpenVMS, part of DECset. Apart from text editing commands similar to EVE, LSE allows the user to work with the Source Code Analyzer, compile and link code, view errors, and manage comments, keywords, and tags. Language-specific templates and online language help assist both new and experienced programmers in developing programs faster. LSE also enables users to customize and extend their editing environment.

Latest Version

Alpha Integrity
5.3-1 5.3

Licensing

Integrity: per active socket.
Alpha: Alpha-LP.

Documentation